LibreOffice: OleDropTarget Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
OleDropTarget Service Referencepublished

This service connects the Java-like UNO Drag & Drop protocol to the protocol used on window platforms. More...

`import "OleDropTarget.idl";`

Inheritance diagram for OleDropTarget:

## Exported Interfaces
interface | XDropTarget
| Used to provide data to other applications via Ole Drag & Drop protocol.
interface | com::sun::star::lang::XInitialization
| The service expects a windows window handle.
interface | com::sun::star::lang::XComponent
| For shutdown and listener support.

## Additional Inherited Members
Public Member Functions inherited from XDropTarget
void | addDropTargetListener ([in] XDropTargetListener dtl)
| Add a DropTargetListener.
void | removeDropTargetListener ([in] XDropTargetListener dtl)
| Remove a drop target listener.
boolean | isActive ()
| Indicates either a drop target object is active or not.
void | setActive ([in] boolean active)
| Sets the drop target object active or inactive.
byte | getDefaultActions ()
| Determine the actions supported by a drop target.
void | setDefaultActions ([in] byte actions)
| Sets the default acceptable actions for this drop target.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

This service connects the Java-like UNO Drag & Drop protocol to the protocol used on window platforms.

It realizes the drop target.

See also
  XDropTarget

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

For shutdown and listener support.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

The service expects a windows window handle.

It is passed as unsigned long.

## ◆ XDropTarget

interface XDropTarget

Used to provide data to other applications via Ole Drag & Drop protocol.

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/dnd/OleDropTarget.idl